Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.cardcontact.opencard.security
Interface SecureChannel

All Known Implementing Classes:
  IsoSecureChannel

    public interface SecureChannel

Interface implementing an APDU wrapping / unwrapping mechanism

Author:
  Andreas Schwier (info@cardcontact.de)

Field Summary
`static int` | `ALL` Combination of CPRO, CENC, RPRO, RENC
`static int` | `CENC` Usage qualifier: Command APDU is encrypted
`static int` | `CPRO` Usage qualifier: Command APDU is MAC protected
`static int` | `RENC` Usage qualifier: Response APDU is encrypted
`static int` | `RPRO` Usage qualifier: Response APDU is MAC protected

Method Summary
`ResponseAPDU` | `unwrap(ResponseAPDU apduToUnwrap, int usageQualifier)` Unwrap a CommandAPDU
`CommandAPDU` | `wrap(CommandAPDU apduToWrap, int usageQualifier)` Wrap a CommandAPDU

Field Detail

### CPRO

    static final int CPRO

  Usage qualifier: Command APDU is MAC protected

  See Also:
    Constant Field Values

### CENC

    static final int CENC

  Usage qualifier: Command APDU is encrypted

  See Also:
    Constant Field Values

### RPRO

    static final int RPRO

  Usage qualifier: Response APDU is MAC protected

  See Also:
    Constant Field Values

### RENC

    static final int RENC

  Usage qualifier: Response APDU is encrypted

  See Also:
    Constant Field Values

### ALL

    static final int ALL

  Combination of CPRO, CENC, RPRO, RENC

  See Also:
    Constant Field Values

Method Detail

### wrap

    CommandAPDU wrap(CommandAPDU apduToWrap,
                     int usageQualifier)

  Wrap a CommandAPDU

  Parameters:
    `apduToWrap` - Command APDU to be wrapped
    `usageQualifier` - Qualifier to control the transformation process
  Returns:
    Wrapped APDU

### unwrap

    ResponseAPDU unwrap(ResponseAPDU apduToUnwrap,
                        int usageQualifier)

  Unwrap a CommandAPDU

  Parameters:
    `apduToUnwrap` - Response APDU to be unwrapped
    `usageQualifier` - Qualifier to control the transformation process
  Returns:
    Wrapped APDU

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD